Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19785/?format=api
{ "ob_id": 19785, "uuid": "0aec60da55ff46d794897760879acd48", "title": "NGDC Scanned images", "abstract": "The digitising of the Royal Observatory Greenwich Photo-Heliographic Results was a joint project between the National Geophysical Data Center (NGDC) and the UK Solar System Data Centre (UKSSDC), in order to preserve the physical copies as well as to easily distribute the copies. The originals are held at NGDC and UKSSDC if required.\r\n\r\nThe difference in the quality of copies comes from the different methods used to digitise the Photo-Heliographic Results.\r\n\r\nPublications containing errors have been annotated to link errors to the relevant errata. Annotated PDFs are marked with the suffix \"(Annotated)\".\r\n\r\nThe data in the 1874 and 1875 books are presented in a format that was changed after a few years. The data are repeated in the '1877 Greenwich Astronomical Results' book with angles given in degrees and minutes, and is repeated again in the '1874-1885 Greenwich Photo-Heliographic Results' book in decimal degrees (the format used from 1881 December 22).", "keywords": "GDC Scanned images", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19818/?format=api", "dataPath": "http://www.ukssdc.ac.uk/wdcc1/RGOPHR/", "oldDataPath": [], "storageLocation": "external", "storageStatus": "offline", "volume": 0, "numberOfFiles": 0, "fileFormat": "Data are ASCII text formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5186/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "needed", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19805/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19784/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74925/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74927/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74929/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74930/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74931/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74926/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74932/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74928/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }